This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 968406 - [Fedora 19 beta 1] systemd show the login before completing the system load in text mode
[Fedora 19 beta 1] systemd show the login before completing the system load i...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 12:42 EDT by Nix\
Modified: 2013-06-04 08:58 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 08:58:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the bug, only boot. (12.12 KB, image/png)
2013-05-29 12:42 EDT, Nix\
no flags Details

  None (edit)
Description Nix\ 2013-05-29 12:42:06 EDT
Created attachment 754473 [details]
Screenshot of the bug, only boot.

Description of problem:
Booting in text mode (removing quiet and rhgb), and appending "3" to kernel cmdline in grub2(legacy mode way for runlevel 3), systemd show the login before that the system is completely loaded with all services, and I can login as root while the system is loaded or at finish but user:password input login is located in the medium of the final load of services.

Version-Release number of selected component (if applicable):
Fedora 19 beta 1
systemd-204-3.fc19
initscripts-9.46-1.fc19

How reproducible:
Always, system up to date 29 May 2013

Steps to Reproduce:
1.Install Fedora 19 beta 1
2.Press e in grub2 menu, delete quiet and rhgb, and put 3 in the final of vmlinuz line, and press F10 for boot
3.See the final load of the system, the input login works but is in the medium. systemd show/offer login input before the system load was completed

Actual results:

Minor bug in systemd an login screen for text mode, like a no pulish distro

Expected results:


Additional info:
Attach a screenshot with the bug.
Comment 1 Nix\ 2013-05-29 13:24:20 EDT
Using traditional rhgb quiet and 3 at the end of the cmdline, works fine and the login is showed *only* after the complete system load.
So, is a systemd bug that is displayed if plymouth/graphical boot is not used.
Considering that much people remove rhgb quiet from /etc/default/grub cmdline for see the boot process and identify services or errors, definitely is a bug not a feature.
Comment 2 Zbigniew Jędrzejewski-Szmek 2013-05-29 14:07:08 EDT
In the screenshot, all messages are from the kernel. Do you observe any messages from systemd-started daemons or from systemd itself? getty@ is defined as Type=idle, which means that it should be started after other jobs have finished running [1].

If only kernel-generated messaged are displayed, there isn't much that systemd can do about it. In fact "NIC Link is Up" can happen at any time, arbitrarily long after boot. By removing "quiet", user explictly requests to see those messages.

http://www.freedesktop.org/software/systemd/man/systemd.service.html#Type=
Comment 3 Lennart Poettering 2013-06-04 08:58:32 EDT
Yeah, this isn't really a bug. It's kernel behaviour. Either add "quiet" to the kernel cmdline, or live with these messages.

Note You need to log in before you can comment on or make changes to this bug.